Bug 1584035 (CVE-2018-6126)

Summary: CVE-2018-6126 Skia: Heap buffer overflow rasterizing paths in SVG
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: 0xalen, akarshan.biswas, alexl, gecko-bugs-nobody, jhorak, john.j5live, pjasicek, rhughes, rstrode, sandmann, stransky, tcallawa, tpopela, yaneti
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20180529,reported=20180530,source=internet,cvss3=8.8/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H,rhel-6/chromium-browser=affected,fedora-all/chromium=affected,epel-7/chromium=affected,rhel-7/firefox=affected,rhel-8/firefox=notaffected,fedora-all/firefox=affected,rhel-6/firefox=affected
Fixed In Version: chromium-browser 67.0.3396.62 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:26:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1584060, 1584059, 1584061, 1584062, 1590694, 1590696, 1590697, 1591518, 1591519    
Bug Blocks: 1584070    

Description Adam Mariš 2018-05-30 07:55:07 UTC
A heap buffer overflow flaw was found in the Skia component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=844457

External References:

https://chromereleases.googleblog.com/2018/05/stable-channel-update-for-desktop_58.html

Comment 1 Adam Mariš 2018-05-30 08:00:16 UTC
Created chromium tracking bugs for this issue:

Affects: epel-7 [bug 1584060]
Affects: fedora-all [bug 1584059]

Comment 3 errata-xmlrpc 2018-06-07 20:37:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:1815 https://access.redhat.com/errata/RHSA-2018:1815

Comment 4 Sam Fowler 2018-06-14 23:58:57 UTC
Mozilla Firefox ESR 52 and ESR 60 are also vulnerable.


Upstream Advisory:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-14/

Comment 5 Sam Fowler 2018-06-14 23:59:25 UTC
Created firefox tracking bugs for this issue:

Affects: fedora-all [bug 1591518]

Comment 7 Tomas Hoger 2018-06-28 12:25:42 UTC
Mozilla advisory has little more details about this:

  A heap buffer overflow can occur in the Skia library when rasterizing paths
  using a maliciously crafted SVG file with anti-aliasing turned off. This
  results in a potentially exploitable crash.

Mozilla bug, just like Chrome bug, remains non-public for now:

https://bugzilla.mozilla.org/show_bug.cgi?id=1462682

Comment 8 errata-xmlrpc 2018-06-28 16:18:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 9 errata-xmlrpc 2018-06-28 16:19:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113